package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.UserWithdraw;
import com.ruoyi.xq.dto.admin.withdraw.UserWithdrawAdminVo;
import com.ruoyi.xq.dto.app.account.WithdrawReq;
import com.ruoyi.xq.dto.app.withdraw.WithdrawListAppVo;
import com.ruoyi.xq.dto.app.withdraw.WithdrawListPageQuery;

/**
 * 用户提现审核Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserWithdrawService extends IService<UserWithdraw> {

    void saveWithdraw(WithdrawReq req);

    Page<WithdrawListAppVo> pageApp(PageQuery pageQuery, WithdrawListPageQuery query);

    Page<UserWithdrawAdminVo> pageAdmin(PageQuery pageQuery, UserWithdrawAdminVo bo);

    void auditSuccess(Long id, boolean autoTrans);

    void auditFail(Long id, String auditRemark);
}
